Subject: Bug#421: X2goclient on Windows: sshd.exe does not start.

From: Frédéric KIEBER <[email-masked]>
Date: Mon, 04 Aug 2014 13:46:57 +0200

Hello,

I have always this error.
I am under Windows 7 Enterprise.
I launch program with : x2goclient.exe --portable  --add-to-known-hosts

Debug log is : 
x2go-INFO-1> "Starting x2goclient..."
x2go-INFO-4> "Translator: :/x2goclient_fr_fr installed."
x2go-INFO-5> "Translator: :/qt_fr_FR installed."
x2go-INFO-2> "Starting x2goclient in portable mode... data directory is:
""N:/Client/x2goclient"
x2go-INFO-3> "Started  x2goclient."
Generating public/private dsa key pair.
Your identification has been saved
in /cygdrive/N/Client/X2GOCL~1/X2GO~1/etc/ssh_host_dsa_key.
Your public key has been saved
in /cygdrive/N/Client/X2GOCL~1/X2GO~1/etc/ssh_host_dsa_key.pub.
The key fingerprint is:
32:9a:d7:5e:b5:11:1f:8d:d4:04:00:ae:76:85:dd:f6 x2goclient DSA host key
The key's randomart image is:
+--[ DSA 1024]----+
|          ....o+.|
|         . o o o.|
|          o + = .|
|         . . + o |
|      o S . o . E|
|     o = . . o   |
|    o . . . .    |
|     . . .       |
|        .        |
+-----------------+
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@         WARNING: UNPROTECTED PRIVATE KEY FILE!          @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Permissions 0644 for
'/cygdrive/N/Client/x2goclient/.x2go/etc/ssh_host_dsa_key' are too open.
It is required that your private key files are NOT accessible by others.
This private key will be ignored.
bad permissions: ignore
key: /cygdrive/N/Client/x2goclient/.x2go/etc/ssh_host_dsa_key
Could not load host
key: /cygdrive/N/Client/x2goclient/.x2go/etc/ssh_host_dsa_key
Disabling protocol version 2. Could not load host key
sshd: no hostkeys available -- exiting.
x2go-INFO-8> "Starting connection to server: xxx.xxx.xxx.xxx:22"
Object::connect: No such slot ONMainWindow::slotSndTunOk(int)
cygwin warning:
  MS-DOS style path detected:
N:/Client/X2GOCL~1/X2GO~1/ssh/gen/key.Uhg644
  Preferred POSIX equivalent is: /X2GOCL~1/X2GO~1/ssh/gen/key.Uhg644
  CYGWIN environment variable option "nodosfilewarning" turns off this
warning.
  Consult the user's guide for more details about POSIX paths:
    http://cygwin.com/cygwin-ug-net/using.html#using-pathnames